OpenVDB 12.1.0

Loading...
Searching...
No Matches
LLVMType< openvdb::math::Vec3< T > > Struct Template Reference

`#include <openvdb_ax/codegen/Types.h>`

Inheritance diagram for LLVMType< openvdb::math::Vec3< T > >:

## Public Types
using | LLVMTypeT

## Static Public Member Functions
static llvm::Type * | get (llvm::LLVMContext &C)
| Return an LLVM type which represents T.

## Static Public Attributes
static const bool | CXXUTypeIsNativeType

## Member Typedef Documentation

## ◆ LLVMTypeT

using LLVMTypeT
| inherited

## Member Function Documentation

## ◆ get()

llvm::Type * get | ( | llvm::LLVMContext & | C | ) |
| inline static

Return an LLVM type which represents T.

Parameters

  C | The LLVMContext to request the Type from.

## Member Data Documentation

## ◆ CXXUTypeIsNativeType

const bool CXXUTypeIsNativeType
| static